<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxConnectPreview (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxConnectPreview (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxConnectPreview.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.swing.handler</a></div>
<h2 title="Class mxConnectPreview" class="title">Class mxConnectPreview</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">hk.quantr.mxgraph.util.mxEventSource</a></li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.swing.handler.mxConnectPreview</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">mxConnectPreview</span>
extends <a href="../../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></pre>
<div class="block">Connection handler creates new connections between cells. This control is used to display the connector
 icon, while the preview is used to draw the line.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.hk.quantr.mxgraph.util.mxEventSource">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></h3>
<code><a href="../../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#previewState">previewState</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#sourceState">sourceState</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#startPoint">startPoint</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.hk.quantr.mxgraph.util.mxEventSource">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></h3>
<code><a href="../../util/mxEventSource.html#eventListeners">eventListeners</a>, <a href="../../util/mxEventSource.html#eventsEnabled">eventsEnabled</a>, <a href="../../util/mxEventSource.html#eventSource">eventSource</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent)">mxConnectPreview</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createCell(hk.quantr.mxgraph.view.mxCellState,java.lang.String)">createCell</a></span>&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;startState,
          java.lang.String&nbsp;style)</code></th>
<td class="colLast">
<div class="block">Creates a new instance of mxShape for previewing the edge.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected java.awt.Rectangle</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDirtyRect()">getDirtyRect</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected java.awt.Rectangle</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDirtyRect(hk.quantr.mxgraph.util.mxRectangle)">getDirtyRect</a></span>&#8203;(<a href="../../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;dirty)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPreviewState()">getPreviewState</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSourceState()">getSourceState</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getStartPoint()">getStartPoint</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isActive()">isActive</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paint(java.awt.Graphics)">paint</a></span>&#8203;(java.awt.Graphics&nbsp;g)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paintPreview(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas)">paintPreview</a></span>&#8203;(<a href="../../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas)</code></th>
<td class="colLast">
<div class="block">Draws the preview using the graphics canvas.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#revalidate(hk.quantr.mxgraph.view.mxCellState)">revalidate</a></span>&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#start(java.awt.event.MouseEvent,hk.quantr.mxgraph.view.mxCellState,java.lang.String)">start</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e,
     <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;startState,
     java.lang.String&nbsp;style)</code></th>
<td class="colLast">
<div class="block">Updates the style of the edge preview from the incoming edge</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#stop(boolean)">stop</a></span>&#8203;(boolean&nbsp;commit)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#stop(boolean,java.awt.event.MouseEvent)">stop</a></span>&#8203;(boolean&nbsp;commit,
    java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>protected <a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#transformScreenPoint(double,double)">transformScreenPoint</a></span>&#8203;(double&nbsp;x,
                    double&nbsp;y)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#update(java.awt.event.MouseEvent,hk.quantr.mxgraph.view.mxCellState,double,double)">update</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e,
      <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;targetState,
      double&nbsp;x,
      double&nbsp;y)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.hk.quantr.mxgraph.util.mxEventSource">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;hk.quantr.mxgraph.util.<a href="../../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></h3>
<code><a href="../../util/mxEventSource.html#addListener(java.lang.String,hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">addListener</a>, <a href="../../util/mxEventSource.html#fireEvent(hk.quantr.mxgraph.util.mxEventObject)">fireEvent</a>, <a href="../../util/mxEventSource.html#fireEvent(hk.quantr.mxgraph.util.mxEventObject,java.lang.Object)">fireEvent</a>, <a href="../../util/mxEventSource.html#getEventSource()">getEventSource</a>, <a href="../../util/mxEventSource.html#isEventsEnabled()">isEventsEnabled</a>, <a href="../../util/mxEventSource.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">removeListener</a>, <a href="../../util/mxEventSource.html#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener,java.lang.String)">removeListener</a>, <a href="../../util/mxEventSource.html#setEventsEnabled(boolean)">setEventsEnabled</a>, <a href="../../util/mxEventSource.html#setEventSource(java.lang.Object)">setEventSource</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="graphComponent">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>graphComponent</h4>
<pre>protected&nbsp;<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a> graphComponent</pre>
</li>
</ul>
<a id="previewState">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>previewState</h4>
<pre>protected&nbsp;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a> previewState</pre>
</li>
</ul>
<a id="sourceState">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sourceState</h4>
<pre>protected&nbsp;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a> sourceState</pre>
</li>
</ul>
<a id="startPoint">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>startPoint</h4>
<pre>protected&nbsp;<a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a> startPoint</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(hk.quantr.mxgraph.swing.mxGraphComponent)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxConnectPreview</h4>
<pre>public&nbsp;mxConnectPreview&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>graphComponent</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="createCell(hk.quantr.mxgraph.view.mxCellState,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createCell</h4>
<pre class="methodSignature">protected&nbsp;java.lang.Object&nbsp;createCell&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;startState,
                                      java.lang.String&nbsp;style)</pre>
<div class="block">Creates a new instance of mxShape for previewing the edge.</div>
</li>
</ul>
<a id="isActive()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isActive</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isActive()</pre>
</li>
</ul>
<a id="getSourceState()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceState</h4>
<pre class="methodSignature">public&nbsp;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;getSourceState()</pre>
</li>
</ul>
<a id="getPreviewState()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPreviewState</h4>
<pre class="methodSignature">public&nbsp;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;getPreviewState()</pre>
</li>
</ul>
<a id="getStartPoint()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStartPoint</h4>
<pre class="methodSignature">public&nbsp;<a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;getStartPoint()</pre>
</li>
</ul>
<a id="start(java.awt.event.MouseEvent,hk.quantr.mxgraph.view.mxCellState,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>start</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;start&#8203;(java.awt.event.MouseEvent&nbsp;e,
                  <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;startState,
                  java.lang.String&nbsp;style)</pre>
<div class="block">Updates the style of the edge preview from the incoming edge</div>
</li>
</ul>
<a id="update(java.awt.event.MouseEvent,hk.quantr.mxgraph.view.mxCellState,double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;update&#8203;(java.awt.event.MouseEvent&nbsp;e,
                   <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;targetState,
                   double&nbsp;x,
                   double&nbsp;y)</pre>
</li>
</ul>
<a id="getDirtyRect()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDirtyRect</h4>
<pre class="methodSignature">protected&nbsp;java.awt.Rectangle&nbsp;getDirtyRect()</pre>
</li>
</ul>
<a id="getDirtyRect(hk.quantr.mxgraph.util.mxRectangle)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDirtyRect</h4>
<pre class="methodSignature">protected&nbsp;java.awt.Rectangle&nbsp;getDirtyRect&#8203;(<a href="../../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;dirty)</pre>
</li>
</ul>
<a id="transformScreenPoint(double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>transformScreenPoint</h4>
<pre class="methodSignature">protected&nbsp;<a href="../../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&nbsp;transformScreenPoint&#8203;(double&nbsp;x,
                                       double&nbsp;y)</pre>
</li>
</ul>
<a id="revalidate(hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>revalidate</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;revalidate&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
</li>
</ul>
<a id="paint(java.awt.Graphics)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paint</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;paint&#8203;(java.awt.Graphics&nbsp;g)</pre>
</li>
</ul>
<a id="paintPreview(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paintPreview</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;paintPreview&#8203;(<a href="../../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas)</pre>
<div class="block">Draws the preview using the graphics canvas.</div>
</li>
</ul>
<a id="stop(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stop</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object&nbsp;stop&#8203;(boolean&nbsp;commit)</pre>
</li>
</ul>
<a id="stop(boolean,java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>stop</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object&nbsp;stop&#8203;(boolean&nbsp;commit,
                             java.awt.event.MouseEvent&nbsp;e)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxConnectPreview.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
